Subject: Re: bug#71282: 30.0.50; hl-line overlay priority has no affect

From: Mohsin Kaleem <[email-masked]>
Date: Sun, 30 Jun 2024 14:41:13 +0100

Eli Zaretskii <[email-masked]> writes:

> The only way I can think of is for Eglot to be sensitive to hl-line
> and to set up the colors of the inlay hints to be consistent with the
> hl-line's background.  Not sure if João (CC'ed) will like this.
>
> FWIW, I see no problem in the current behavior, but then I'm not an
> hl-line user.

This seems at least to me like a problem not specific to eglot. Any
package trying to support overlay annotations in buffer will have the
same problem. This is either a limitation of hl-line and it should have
bespoke logic to override overlay faces or the overlay mechanism itself
should be flexible enough to respect this (with the priority suggestion
from before). Although probably makes sense to wait and see what João
says :-).

-- 
Mohsin Kaleem